const express = require('express');

const signupApp = express();

const libs = `${process.cwd()}/libs`;

const log = require(`${libs}/log`)(module);

const User = require('../models/user');


signupApp.post('/', (req, res) => {
  log.debug('kapo');
  if (!req.body.email || !req.body.password) {
    log.info('kelpo');
    res.json({success: false, msg: 'Please pass email and password.'});
  } else {
    var newUser = new User({
      email: req.body.email,
      password: req.body.password
    });
    log.debug(newUser.email);
    // save the user
    newUser.save((err) => {
      log.info('pepe');
      if (err) {
        return res.json({success: false, msg: 'Email already in use.'});
      }
      res.json({success: true, msg: 'Successful created new user.'});
    });
  }
});

module.exports = signupApp;
